List of Open Source Software which can be built on Fugaku

Spack logo
Spack will be used to manage open source software packages on Fugaku. Fugaku users can easily use pre-installed packages and built packages based on Spack recipes. The following list shows the results of building/compiling packages for aarch64 according to the Spack recipes. Note that the results in this list do not guarantee that each package will work properly. On the other hand, Fujitsu will provide the following packages compiled with Fujitsu compiler on Fugaku as "external" packages, of which Spack can be aware.
  • OpenJDK 11
  • Ruby 2.6.5 or later
  • Python2 2.7.15
  • Python3 3.6.8
  • Numpy 1.14.3
  • SciPy 1.0.0
  • Eclipse IDE 2019-09 R Packages
Please contact us from email:

Build success rate per compiler


Last Modified: 4/8/24, 2:58 AM GMT
Spack Version: 1/18/24, 1:14 AM GMT
Click each result for further infomation.
Package Version Fujitsu Compiler GCC
damask 3.0.0-alpha7 Dependency Error
damask-grid 3.0.0-alpha7 Dependency Error
damask-mesh 3.0.0-alpha7 Dependency Error
damselfly 1.0 Dependency Error
daos 2.2.0 Dependency Error
darshan-runtime 3.4.4 YES
darshan-util 3.4.4 YES
dash 0.5.12 YES
datamash 1.8 YES
dataspaces 1.8.0 YES
datatransferkit 3.1.1 Dependency Error
date 3.0.1 YES
dateutils 0.4.7 YES
davix 0.8.1 YES
dbcsr 2.6.0 Dependency Error
dbow2 shinsumicco YES
dbus 1.13.6 Dependency Error
dbus-glib 0.112 Dependency Error
dbxtool 8 Dependency Error
dcap 2.47.12 Dependency Error
dcm2niix 1.0.20220720 YES
dcmtk 3.6.7 YES
dd4hep 1.27 Dependency Error
ddd 3.3.12 Dependency Error
ddt 22.0.2 Dependency Error
dealii 9.4.2 Dependency Error
dealii-parameter-gui develop Dependency Error
debbuild 20.04.0 YES
debugedit 0.2 YES
decentralized-internet 4.2.3 Dependency Error
deconseq-standalone 0.4.3 YES
dejagnu 1.6.3 YES
delly2 2017-08-03 Dependency Error
delphes 3.5.0 Dependency Error
delta 2.3.0 YES
demuxlet 20210211 YES
denovogear 1.1.1 Dependency Error
dftbplus 19.1 Dependency Error
dftd3-lib 0.9.2 YES
dftd4 3.5.0 Dependency Error
dftfe 0.6.0 Dependency Error
dhpmm-f alpha YES
dhtest 1.5 YES
dia 0.97.3 Dependency Error
dialign 2.2.1 YES
dialign-tx 1.0.2 Dependency Error
diamond 2.1.7 YES
dicom3tools 1.00.snapshot.20210306100017 YES
diffmark master YES
diffsplice 0.1.2beta YES
diffutils 3.9 YES
digitrounding 2020-02-27 YES
dihydrogen 0.2.1 Dependency Error
dimemas 5.4.1 YES
ding-libs 0.6.1 YES
dire 2.004 Dependency Error
direnv 2.32.3 YES
discotec main Dependency Error
discovar 52488 Dependency Error
discovardenovo 52488 Dependency Error
disktype 9.2.1 YES
dislin 11.0 Dependency Error
distbench 1.0rc4 Dependency Error
distcc 3.3.5 Dependency Error
diy 3.5.0 YES
dla-future 0.2.1 Dependency Error
dlb 3.3.1 YES
dlib 19.22 YES
dlpack 0.5 YES
dmd 2.081.1 Skipped
dmidecode 3-2 YES
dmlc-core 20170508 YES
dmtcp 3.0.0 Dependency Error
dmxproto 2.3.1 YES
dnsmap master YES
dnsmasq 2.89 YES
dnstop master YES
dnstracer master YES
docbook-xml 4.5 YES
docbook-xsl 1.79.2 YES
dock 6.9 Dependency Error
dorian3d-dlib master YES
dos2unix 7.4.4 YES
dosfstools 4.1 YES
dotconf 1.3 YES
dotnet-core-sdk 6.0.2 YES
double-batched-fft-library 0.4.0 Dependency Error
double-conversion 3.3.0 YES
doxygen 1.9.6 YES
dpcpp 2021.12 Dependency Error
dpdk 23.03 Dependency Error
dpmjet 19.3.5 YES
draco 7.14.1 Dependency Error
dracut 050 YES
dramsim2 2.2.2 YES
dramsim3 1.0.0 Dependency Error
dray 0.1.8 Dependency Error
dri2proto 2.8 YES
dri3proto 1.0 YES
drill 1.17.0 YES
drishti 0.4 Dependency Error
dropwatch 1.5.4 Dependency Error
druid 1.2.8 YES
ds 9.8.0 Dependency Error
dsdp 5.8 YES
dsfmt 2.2.5 YES
dsqss 2.0.3 Dependency Error
dsrc 2.0.2 Dependency Error
dssp 3.1.4 YES
dtc 1.6.1 YES
dtcmp 1.1.4 YES
dtf master YES
duckdb 0.8.1 YES
duperemove 0.11.1 Dependency Error
dust 0.8.6 Dependency Error
dwz 0.14 YES
dxt-explorer 0.3 Dependency Error
dyninst 12.3.0 Dependency Error
dysco 1.2 Dependency Error
e2fsprogs 1.45.6 YES
e3sm-kernels 1.0 YES
e3sm-scorpio 1.4.1 YES
e4s-cl 1.0.1 YES
ea-utils 2021-10-20 Dependency Error
eagle 1.1.3 YES
earlyoom 1.6.1 Dependency Error
easi 1.2.0 YES
easybuild 4.7.0 YES
easyloggingpp 9.97.0 YES
ebms develop Dependency Error
ecbuild 3.7.2 YES
eccodes 2.25.0 YES
ecdsautils 0.3.2 YES
ecflow 5.8.3 Dependency Error
eckit 1.24.4 YES
eclipse-gcj-parser 4.8 Dependency Error
ecmwf-atlas 0.34.0 Dependency Error
ecos 2.0.7 YES
ecoslim 1.3 YES
ecp-data-vis-sdk 1.0 YES
ecp-proxy-apps 4.0
ectrans 1.2.0 Dependency Error
ed 1.4 YES
editline 1.17.1 YES
editres 1.0.8 YES
edm4hep 0.10.1 Dependency Error
eem 1.0.1 YES
efivar 37 YES
eigen 3.4.0 YES
eigenexa 2.6 YES
elasticsearch 6.4.0 YES
elbencho 3.0-1
elemental 0.87.7
elfio 3.11
elfutils 0.189 Dependency Error
elk 8.3.22 Dependency Error
elmerfem 9.0 Dependency Error
elpa 2023.05.001 Dependency Error
elsd master YES
elsdc master YES
elsi 2.2.1 YES
emacs 29.1 YES
ember 1.0.0 YES
emblmygff3 2.2 Dependency Error
emboss 6.6.0 Dependency Error
embree 4.3.0
enca 1.19 Dependency Error
enchant 2.2.7 Dependency Error
energyplus 9.3.0 YES
ensmallen 2.19.1 Dependency Error
entrezdirect 10.7.20190114 Dependency Error
entt 3.11.1 YES
environment-modules 5.3.1 YES
enzo 2.6.1 Dependency Error
enzyme 0.0.81 Dependency Error
eospac 6.5.7 Dependency Error
epics-base 7.0.6.1 Dependency Error
epics-ca-gateway 2.1.3 Dependency Error
epics-pcas 4.13.3 Dependency Error
epics-snmp 1.1.0.3 Dependency Error
eprosima-fastcdr 1.0.27 YES
eprosima-fastdds 2.10.1 YES
epsic LWA-10-17-2020 YES
eq-r 1.0 Dependency Error
er 0.4.0 YES
erfa 2.0.0 YES
erlang 26.0 Dependency Error
ermod 0.3.6 YES
erne 2.1.1 Dependency Error
es-shell 0.9.1 Dependency Error
esmf 8.5.0 Dependency Error
espanso 0.6.3 Dependency Error
essl 6.2.1.1 YES
estarlight 1.0.1 Dependency Error
esys-particle 3.0-alpha Dependency Error
etcd 3.5.9 YES
ethminer 0.12.0 Dependency Error
ethtool 4.8 YES
etsf-io 1.0.4 YES
eve 2023.02.15 YES

Page 4 of 38, showing 200 record(s) out of 7,469 total